### Signal

# Gtk Widget::realize

#### Declaration

    void
    realize (
      GtkWidget* self,
      gpointer user_data
    )

#### Description [src]

Emitted when `widget` is associated with a `GdkSurface`.

This means that `gtk_widget_realize()` has been called or the widget has been mapped (that is, it is going to be drawn).

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.